Bug 73652 - The connection to the internet by modem is automatically dropped after a few seconds.
The connection to the internet by modem is automatically dropped after a few ...
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.3
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-07 16:33 EDT by ramon
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ramon 2002-09-07 16:33:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
I am using the Redhat PPP dialer applet to connect to the Internet.
After a few seconds, the connection automatically closes.

After investigating the problem (see bellow), it is a misunderstanding between
the Redhat PPP applet and the gnome panel. If the checkbox "Terminate connection
when session closes" of the applet (context menu/Properties) is checked, the
applet closes the connection when it receives a "save session" message from the
panel. This seems to happen every few seconds. The relevant source code is in
appapplet.c, function session_save_applet.

The logs in /var/log/messages shows that ppp receives signal 15. Thus it is not
a problem with the phone line (in that case, a message 'modem hangup' is seen).

The problem can be workarounded workarounded by renaming the file 'ifdown-ppp'
to 'ifdown-ppp.bak', thus its invocation is used. We
can learn who is invocating it, for example, by placing a statement
echo $$ > debufile, pstree -p >> debugfile. In debugfile, we see that
rp3 has invoked the ifdown.

Next, the rp3 problem was built from sources with debugging info. The applet is
reloaded, the pid of rp3 is learn through /sbin/pidof rp3,
and we start gdb with gdb /usr/bin/rp3 <pid> . A breakpoint is placed on
interface_change_status, the function used to turn the ppp0 interface down. We
let it continue, start the connection, and wait
until the breakpoint is hit. Then we see this stack trace:

Breakpoint 1, interface_status_change (i=0x80b6d90, s=INTERFACE_DOWN)
    at interface.c:498
498
    if (s == INTERFACE_UP) {
(gdb) where
#0  interface_status_change (i=0x80b6d90, s=INTERFACE_DOWN) at interface.c:498
#1  0x08053cdc in session_save_applet (applet=0x8095668, 
    privcfgpath=0x80cd0e8 "/panel.d/default/Applet_14_Extern/", data=0x80cfd58)
    at appapplet.c:414
#2  0x404351e9 in marshal_signal_save () from /usr/lib/libpanel_applet.so.0
#3  0x4020b3e6 in gtk_handlers_run () from /usr/lib/libgtk-1.2.so.0
#4  0x4020a71d in gtk_signal_real_emit () from /usr/lib/libgtk-1.2.so.0
#5  0x402084d5 in gtk_signal_emit () from /usr/lib/libgtk-1.2.so.0
#6  0x404382d8 in server_applet_save_session ()
   from /usr/lib/libpanel_applet.so.0
#7  0x4043f165 in _ORBIT_skel_GNOME_Applet_save_session ()
   from /usr/lib/libpanel_applet.so.0
#8  0x4047cc77 in ORBit_POA_handle_request () from /usr/lib/libORBit.so.0
#9  0x4047f233 in ORBit_handle_incoming_request () from /usr/lib/libORBit.so.0
#10 0x4047f491 in ORBit_handle_incoming_message () from /usr/lib/libORBit.so.0
#11 0x40494d69 in giop_main_handle_connection () from /usr/lib/libIIOP.so.0
#12 0x4044b509 in orb_handle_connection () from /usr/lib/libgnorba.so.27
#13 0x4041af9e in g_io_unix_dispatch () from /usr/lib/libglib-1.2.so.0
#14 0x4041c773 in g_main_dispatch () from /usr/lib/libglib-1.2.so.0
#15 0x4041cd39 in g_main_iterate () from /usr/lib/libglib-1.2.so.0
#16 0x4041ceec in g_main_run () from /usr/lib/libglib-1.2.so.0
#17 0x401d62e3 in gtk_main () from /usr/lib/libgtk-1.2.so.0
#18 0x40437fa7 in applet_widget_gtk_main () from /usr/lib/libpanel_applet.so.0
---Type <return> to continue, or q <return> to quit---q
Quit
(gdb) cont
Comment 1 Bill Nottingham 2006-08-05 01:19:44 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Bill Nottingham 2006-10-18 12:59:42 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.